## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           libirecovery
Version:        1.1.0
Release:        %autorelease
Summary:        Library and utility to talk to iBoot/iBSS via USB

License:        LGPL-2.1-only
URL:            https://github.com/libimobiledevice/libirecovery
Source:         %{url}/releases/download/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  libimobiledevice-glue-devel
BuildRequires:  libusb1-devel
BuildRequires:  readline-devel
BuildRequires:  systemd-devel

%description
The libirecovery library allows communication with iBoot/iBSS of iOS devices
via USB.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        utils
Summary:        Utilites for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Suggests:       libimobiledevice-utils

%description    utils
This package contains command line utilities for %{name}.

%prep
%autosetup

%build
%configure --disable-static --with-udev
%make_build

%install
%make_install

%files
%license COPYING
%doc NEWS README.md
%{_libdir}/%{name}*.so.3*
%{_udevrulesdir}/*%{name}.rules

%files devel
%{_includedir}/%{name}.h
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/%{name}*.pc

%files utils
%{_bindir}/irecovery

%changelog
* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 28 2023 Davide Cavalca <dcavalca@fedoraproject.org> 1.1.0-2
- Use release tarball

* Thu Jul 27 2023 Davide Cavalca <dcavalca@fb.com> 1.1.0-1
- Update to 1.1.0; Fixes: RHBZ#2203527

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jan 24 2023 Davide Cavalca <dcavalca@fedoraproject.org> 1.0.0-4
- Explicitly enable udev support

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Mar 29 2022 Davide Cavalca <dcavalca@fedoraproject.org> 1.0.0-1
- Initial import; Fixes: RHBZ#2068968
